Bug 1581288 - [RFE] Service Dialogs - Calculate Quota for instance_type dialog override.
Summary: [RFE] Service Dialogs - Calculate Quota for instance_type dialog override.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: MVP
: 5.10.0
Assignee: William Fitzgerald
QA Contact: Shveta
URL:
Whiteboard:
: 1499193 (view as bug list)
Depends On:
Blocks: 1555371
TreeView+ depends on / blocked
 
Reported: 2018-05-22 13:09 UTC by Chris Pelland
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.8
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:55 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
dialog used for testing (1.48 KB, text/x-vhdl)
2018-08-15 21:15 UTC, Shveta
no flags Details
method used for testing (936 bytes, text/plain)
2018-08-15 21:16 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1456819 None CLOSED Simultaneous service catalog request do not honour quotas 2019-04-11 08:36:22 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:00 UTC

Internal Links: 1456819

Description Chris Pelland 2018-05-22 13:09:14 UTC
This is an RFE for the ability to use the Service dialog override of instance_type which is not currently supported in CFME.

Comment 2 William Fitzgerald 2018-07-24 21:00:42 UTC
I finished with the code changes but still working on the spec.

Comment 3 William Fitzgerald 2018-08-06 18:26:48 UTC
https://github.com/ManageIQ/manageiq-content/pull/333

Comment 4 Shveta 2018-08-15 21:15:14 UTC
Instance type provided in the provisioning form is overridden by the instance type provided by the service dialog while ordering .

@William : please check if this is correct verification.

Comment 5 Shveta 2018-08-15 21:15:49 UTC
Created attachment 1476312 [details]
dialog used for testing

Comment 6 Shveta 2018-08-15 21:16:12 UTC
Created attachment 1476313 [details]
method used for testing

Comment 7 William Fitzgerald 2018-08-15 21:29:01 UTC
Shveta,

Yes, this is correct.  Whatever instance type selected in the dialog should be used. Quota calculations should use the instance type selected from the dialog.

Billy

Comment 8 Shveta 2018-08-16 17:25:56 UTC
Verified in 5.10.0.8.20180801220537_afb552b

Comment 9 Satoe Imaishi 2018-09-05 13:11:06 UTC
*** Bug 1499193 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2019-02-07 23:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.